| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Functions | Variables
LPC1788 and LPC4088 Embedded Artists Development Kit System Init code
LPC1788 and LPC4088 Embedded Artists Development Kit support functions

## Detailed Description

The System initialization code is called prior to the application and initializes the board for run-time operation. Board initialization for the EA1788/EA4088 boards includes clock setup, default pin muxing, and memory configuration.

With the exception of stack space, no RW memory is used for this call.

LPC1788 and LPC4088 EA board setup
Clocking:
CPU setup for 120MHz off main oscillator and PLL0, EMC setup for 60MHz USB setup for 48MHz of main oscillator and PLL1 Peripheral clock rate set to 60Mhz SPIFI clock disabled Pin muxing:
Sets up various pin mux functions for the board (Ethernet, LEDs, etc.)
Sets up the external memory controller signals
Memory:
Sets up DRAM.

## Data Structures
struct | PINMUX_GRP_T

## Macros
#define | CLK0_DELAY 7

## Functions
STATIC void | SystemSetupClocking (void)
STATIC void | SystemSetupMuxing (void)
STATIC void | SystemSetupMemory (void)
void | SystemInit (void)
| Setup the system.

## Variables
STATIC const PINMUX_GRP_T | pinmuxing []
STATIC const IP_EMC_DYN_CONFIG_T | IS42S32800D_config
STATIC const IP_EMC_STATIC_CONFIG_T | SST39VF320_config
STATIC const IP_EMC_STATIC_CONFIG_T | K9F1G_config

## Macro Definition Documentation

#define CLK0_DELAY 7

Definition at line 214 of file sysinit_ea_devkit_17884088.c.

## Function Documentation

void SystemInit | ( | void |  | ) |

Setup the system.

Returns
  none

Note
  SystemInit() is called prior to the application and sets up system clocking, memory, and any resources needed prior to the application starting.

Definition at line 326 of file sysinit_ea_devkit_17884088.c.

STATIC void SystemSetupClocking | ( | void |  | ) |

Definition at line 123 of file sysinit_ea_devkit_17884088.c.

STATIC void SystemSetupMemory | ( | void |  | ) |

Definition at line 286 of file sysinit_ea_devkit_17884088.c.

STATIC void SystemSetupMuxing | ( | void |  | ) |

Definition at line 189 of file sysinit_ea_devkit_17884088.c.

## Variable Documentation

STATIC const IP_EMC_DYN_CONFIG_T IS42S32800D_config

Definition at line 217 of file sysinit_ea_devkit_17884088.c.

STATIC const IP_EMC_STATIC_CONFIG_T K9F1G_config

Initial value:
= {
1,
EMC_STATIC_CONFIG_MEM_WIDTH_8 |
EMC_STATIC_CONFIG_CS_POL_ACTIVE_LOW |
EMC_STATIC_CONFIG_BLS_HIGH ,
EMC_NANOSECOND(0),
EMC_NANOSECOND(35),
EMC_NANOSECOND(70),
EMC_NANOSECOND(70),
EMC_NANOSECOND(40),
}

Definition at line 270 of file sysinit_ea_devkit_17884088.c.

STATIC const PINMUX_GRP_T pinmuxing[]

Definition at line 64 of file sysinit_ea_devkit_17884088.c.

STATIC const IP_EMC_STATIC_CONFIG_T SST39VF320_config

Initial value:
= {
0,
EMC_STATIC_CONFIG_MEM_WIDTH_16 |
EMC_STATIC_CONFIG_CS_POL_ACTIVE_LOW |
EMC_STATIC_CONFIG_BLS_HIGH ,
EMC_NANOSECOND(0),
EMC_NANOSECOND(35),
EMC_NANOSECOND(70),
EMC_NANOSECOND(70),
EMC_NANOSECOND(40),
}

Definition at line 254 of file sysinit_ea_devkit_17884088.c.